[Prev: FIELDSTYLES] | [Resources][TOC] | [Next: FIRSTPGLINK]

# FILEPERMS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_FILEPERMS=octal-mode`

Element

  `<FILEPERMS>`
  octal-mode
  `</FILEPERMS>`

Command-line Option

  `-fileperms octal-mode`

## Description

NOTE | The use of FILEPERMS on non-Unix-type operating systems may have limited functionality. See the `chmod` function under the Function Implementations of the perlport manpage of the Perl documentation for specifics on how Unix-type permissions are applied to your operating system.

FILEPERMS sets the permissions of archive files. File permissions are specified as an octal number: the same format as used by the Unix `chmod`(1) command. The following provides common values:

`0666` | User, group, and other readable and writable.
`0644` | User readable and writable; group and other readable.
`0600` | User readable and writable; anyone else is denied access.

The UMASK resource is applied to the value of FILEPERMS as follows: `FILEPERMS &~ UMASK`. For example, if FILEPERMS equals 0666 and UMASK equals 022, archive files will have the permissions 0644, read/write for user and read-only access to all others.

NOTE | To explicitly control the permissions of the DBFILE use DBFILEPERMS.

## Default Setting

    0666

NOTE | Remember, UMASK is applied to FILEPERMS, so the actual permissions of archive files will generally be less than 0666.

## Resource Variables

N/A

## Examples

None.

## Version

2.6.0

## See Also

DBFILEPERMS, UMASK

[Prev: FIELDSTYLES] | [Resources][TOC] | [Next: FIRSTPGLINK]